@import url('./components/wiggle-section.css');
@import url('./components/integrations-slider.css');
@import url('./components/infrastructures.css');



/*------------------------------------*\
# TABLET
\*------------------------------------*/

.tablet-wrapper{
    padding-bottom: 100px;
    position: relative;
    overflow: hidden;
}
.tablet-wrapper .tablet{
    margin: 0 auto;
    max-width: min(80vw, 968px);
}
.tablet-wrapper:after{
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(to top, white, transparent 100px);
    z-index: 1;
    pointer-events: none;
}



/*------------------------------------*\
# SOLUTION CATEGORIES
\*------------------------------------*/

.solution-categories{
    display: flex;
    justify-content: center;
    gap: 20px;
    width: fit-content;
    margin: 0 auto;
}
.solution-category-item{
    background-color: var(--light-teal);
    color: var(--teal);
    padding: 25px 20px;
    border-radius: 15px;
    font-size: 1.25rem;
    cursor: pointer;
    transition: 150ms background-color, color;
    width: 100%;
    max-width: 210px;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}
.solution-category-item h2,
.solution-category-item h3{
    font-size: 1.25rem;
    font-weight: normal;
}
.solution-category-item:hover{
    background-color: var(--light-teal-hover-light);
}
.solution-category-item .icon{
    width: 50px;
    height: 50px;
    margin-bottom: 20px;
}
.solution-category-item .icon svg{
    width: 100%;
    height: 100%;
    display: block;
    object-fit: contain;
    object-position: center;
}
.solution-category-item.active{
    background-color: var(--teal);
    color: var(--light-teal);
}
.solution-category-item svg [fill="#b4d2be"],
.solution-category-item svg [fill="#b4d1bf"],
.solution-category-item svg [fill="#325c5c"],
.solution-category-item svg [fill="#335c5c"],
.solution-category-item svg [fill="#325c5c"]{
    transition: 150ms fill, stroke;
}

.solution-category-item:not(.active) svg [fill="#b4d2be"],
.solution-category-item:not(.active) svg [fill="#b4d1bf"]{
    fill: var(--teal) !important;
}
.solution-category-item:not(.active) svg [stroke="#b4d1bf"]{
    stroke: var(--teal) !important;
}
.solution-category-item:not(.active) svg [fill="#335c5c"],
.solution-category-item:not(.active) svg [fill="#325c5c"]{
    fill: var(--light-teal) !important;
}
.solution-category-item:not(.active):hover svg [fill="#335c5c"],
.solution-category-item:not(.active):hover svg [fill="#325c5c"]{
    fill: var(--light-teal-hover-light) !important;
}




/*------------------------------------*\
# SOLUTION ITEMS
\*------------------------------------*/

.solution-item-container{
    padding: 0;
    display: none;
}
@keyframes solutionItemContainerAnimation{
    0%{opacity: 0;}
    100%{opacity: 1;}
}
.solution-item-container.active{
    display: block;
    animation: solutionItemContainerAnimation 500ms;
    padding: 40px 0 0;
}
.solution-item-wrapper{
    white-space: unset;
}
.solution-item{
    background-color: var(--white);
    border: 1px solid var(--border-color);
    padding: 20px;
    border-radius: 15px;
    min-height: 100%;
    color: var(--primary-text-color);
    transition: 50ms ease-out;
}
.solution-item:hover{
    background-color: #f7fdfc;
    border-color: #8f9aa5;
}
.solution-item .top{
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 20px;
}
.article-slider-item .icon{
    width: 40px;
    aspect-ratio: 1 / 1;
    background-color: #F6FBFA;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.solution-item-title{
    color: var(--primary-color);
    font-size: 1.25rem;
}



/*------------------------------------*\
# REVIEWS SECTION
\*------------------------------------*/

.reviews-container{
    gap: 30px;
    margin-top: 40px;
}
.review-items{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    width: 66.66%;
}
.article-router{
    border-radius: 20px;
    width: 33.33%;
}



/*------------------------------------*\
# RESPONSIVE
\*------------------------------------*/

@media screen and (max-width: 968px){
    main > .section-wrapper:first-of-type{
        padding-bottom: 0 !important;
    }
    main > .section-wrapper:nth-of-type(2){
        padding-top: 0 !important;
    }
    .tablet-wrapper{
        padding-bottom: 60px !important;
    }
}


@media only screen and (max-width: 512px) {
    .solution-categories + .row > .article-slider{
        padding-top: 30px;
    }
}